Package org.apache.cxf.common.util

# Class ProxyClassLoaderCache

java.lang.Object
org.apache.cxf.common.util.ProxyClassLoaderCache

public class ProxyClassLoaderCache extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProxyClassLoaderCache()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClassLoader`
  `getProxyClassLoader(ClassLoader parent, Class<?>[] proxyInterfaces)`
  `void`
  `removeStaleProxyClassLoader(Class<?> proxyInterface)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProxyClassLoaderCache

    public ProxyClassLoaderCache()

- ## Method Details

  - ### getProxyClassLoader

    public ClassLoader getProxyClassLoader(ClassLoader parent, Class<?>[] proxyInterfaces)

  - ### removeStaleProxyClassLoader

    public void removeStaleProxyClassLoader(Class<?> proxyInterface)